<?php

include 'conexion.php';
$id_tip_compra=$_POST['id_tip_compra'];
$nom_tip_compra=$_POST['nom_tip_compra'];

$consulta="UPDATE tipo_compra SET nom_tip_compra = '".$nom_tip_compra."' where id_tip_compra = '".$id_tip_compra."'";
$result = mysqli_query($conexion,$consulta) or die (mysqli_error());

if($result == true){
     echo "ok";
}else{
     echo mysqli_error();
}

mysqli_close($conexion);

?>